Bug 836660 - unable to reduce a striped raid (4|5|6)
unable to reduce a striped raid (4|5|6)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.3
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Heinz Mauelshagen
cluster-qe@redhat.com
:
Depends On:
Blocks: 840699
  Show dependency treegraph
 
Reported: 2012-06-29 16:47 EDT by Corey Marthaler
Modified: 2016-03-18 10:01 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-18 10:01:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2012-06-29 16:47:59 EDT
Description of problem:
[root@hayes-01 bin]# lvs -a -o +devices
  LV                 Attr     LSize  Devices
  reduce             Rwi-a-r- 60.00m reduce_rimage_0(0),reduce_rimage_1(0),reduce_rimage_2(0),reduce_rimage_3(0),reduce_rimage_4(0)
  [reduce_rimage_0]  iwi-aor- 20.00m /dev/etherd/e1.1p9(1)
  [reduce_rimage_1]  iwi-aor- 20.00m /dev/etherd/e1.1p8(1)
  [reduce_rimage_2]  iwi-aor- 20.00m /dev/etherd/e1.1p7(1)
  [reduce_rimage_3]  iwi-aor- 20.00m /dev/etherd/e1.1p6(1)
  [reduce_rimage_4]  iwi-aor- 20.00m /dev/etherd/e1.1p5(1)
  [reduce_rmeta_0]   ewi-aor-  4.00m /dev/etherd/e1.1p9(0)
  [reduce_rmeta_1]   ewi-aor-  4.00m /dev/etherd/e1.1p8(0)
  [reduce_rmeta_2]   ewi-aor-  4.00m /dev/etherd/e1.1p7(0)
  [reduce_rmeta_3]   ewi-aor-  4.00m /dev/etherd/e1.1p6(0)
  [reduce_rmeta_4]   ewi-aor-  4.00m /dev/etherd/e1.1p5(0)

[root@hayes-01 bin]# lvreduce -f -L 30M /dev/raid_sanity/reduce
  Rounding size to boundary between physical extents: 32.00 MiB
  WARNING: Reducing active logical volume to 32.00 MiB
  THIS MAY DESTROY YOUR DATA (filesystem etc.)
  Reducing logical volume reduce to 32.00 MiB
  Unable to reduce RAID LV - operation not implemented.
  Unable to reduce RAID LV - operation not implemented.
  Unable to reduce RAID LV - operation not implemented.
  Unable to reduce RAID LV - operation not implemented.
  Unable to reduce RAID LV - operation not implemented.
  device-mapper: reload ioctl on  failed: Invalid argument
  Failed to suspend reduce
[root@hayes-01 bin]# echo $?
5

[root@hayes-01 bin]# lvs -a -o +devices
  LV                 Attr     LSize  Devices
  reduce             Rwi-a-r- 60.00m reduce_rimage_0(0),reduce_rimage_1(0),reduce_rimage_2(0),reduce_rimage_3(0),reduce_rimage_4(0)
  [reduce_rimage_0]  iwi-aor- 20.00m /dev/etherd/e1.1p9(1)
  [reduce_rimage_1]  iwi-aor- 20.00m /dev/etherd/e1.1p8(1)
  [reduce_rimage_2]  iwi-aor- 20.00m /dev/etherd/e1.1p7(1)
  [reduce_rimage_3]  iwi-aor- 20.00m /dev/etherd/e1.1p6(1)
  [reduce_rimage_4]  iwi-aor- 20.00m /dev/etherd/e1.1p5(1)
  [reduce_rmeta_0]   ewi-aor-  4.00m /dev/etherd/e1.1p9(0)
  [reduce_rmeta_1]   ewi-aor-  4.00m /dev/etherd/e1.1p8(0)
  [reduce_rmeta_2]   ewi-aor-  4.00m /dev/etherd/e1.1p7(0)
  [reduce_rmeta_3]   ewi-aor-  4.00m /dev/etherd/e1.1p6(0)
  [reduce_rmeta_4]   ewi-aor-  4.00m /dev/etherd/e1.1p5(0)


Version-Release number of selected component (if applicable):
2.6.32-278.el6.x86_64
lvm2-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
lvm2-libs-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
lvm2-cluster-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
udev-147-2.41.el6    BUILT: Thu Mar  1 13:01:08 CST 2012
device-mapper-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-libs-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-event-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
device-mapper-event-libs-1.02.74-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012
cmirror-2.02.95-10.el6    BUILT: Fri May 18 03:26:00 CDT 2012


How reproducible:
Everytime
Comment 6 Jonathan Earl Brassow 2014-08-27 00:02:07 EDT
this is certainly not a priority.  Moving to 6.7.
Comment 8 Heinz Mauelshagen 2014-11-05 06:10:43 EST
Working on the implementation of resize/takeover/reshape of live raid1/10/4/5/6 LVs which is going to address $subject.
Comment 9 Heinz Mauelshagen 2016-02-29 09:03:27 EST
Development done; inclusion depends on peer review happening in time.
Comment 11 Heinz Mauelshagen 2016-03-18 09:42:30 EDT
In review, potponing to 6.9

Note You need to log in before you can comment on or make changes to this bug.